aboutsummaryrefslogtreecommitdiffstats
path: root/common/scripts/busybox.sh
diff options
context:
space:
mode:
Diffstat (limited to 'common/scripts/busybox.sh')
-rwxr-xr-xcommon/scripts/busybox.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/common/scripts/busybox.sh b/common/scripts/busybox.sh
new file mode 100755
index 0000000..04f0b62
--- /dev/null
+++ b/common/scripts/busybox.sh
@@ -0,0 +1,32 @@
+#!/bin/sh
+#
+# Busybox test.
+#
+# Copyright (C) 2010 - 2014, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Author: Senthil Kumaran <senthil.kumaran@linaro.org>
+# Maintainer: Milosz Wasilewski <milosz.wasilewski@linaro.org>, Koen Kooi <koen.kooi@linaro.org>
+
+OUT=`busybox ls /proc`
+if [ -n "$OUT" ]
+then
+ echo "busybox: pass"
+ exit 0
+else
+ echo "busybox: fail"
+ exit 1
+fi